package com.yutou.popdialog.views

import android.content.Context
import android.graphics.Canvas
import android.graphics.Color
import android.graphics.Paint
import android.graphics.RectF
import android.view.View
import kotlin.properties.Delegates


class ExitButton(context:Context): View(context) {
    private var buttonColor by Delegates.notNull<Int>()
    private var buttonBackgroundColor =Color.WHITE
    init {
        buttonColor= Color.parseColor("#AEB8B9")
    }
    override fun draw(canvas: Canvas?) {
        super.draw(canvas)
        val shadowPaint = Paint()
        shadowPaint.isAntiAlias = true
        shadowPaint.style = Paint.Style.FILL
        shadowPaint.color = buttonBackgroundColor
        val shadow = RectF(9f, 9f, 71f, 71f)
        canvas!!.drawArc(shadow, 0f, 360f, true, shadowPaint)

        val paint = Paint()
        paint.isAntiAlias = true
        paint.color = buttonBackgroundColor
        paint.style = Paint.Style.FILL
        paint.strokeWidth = 3f
        val rectF = RectF(10f, 10f, 70f, 70f)
        canvas.drawArc(rectF, 0f, 360f, true, paint)

        val linePaint = Paint()
        linePaint.isAntiAlias = true
        linePaint.color = buttonColor
        linePaint.style = Paint.Style.FILL
        linePaint.strokeWidth = 3f
        val lineStart = Vector2(25f, 25f)
        val lineEnd = Vector2(55f, 55f)
        canvas.drawLine(lineStart.x, lineStart.y, lineEnd.x, lineEnd.y, linePaint)
        canvas.drawLine(lineEnd.x, lineStart.y, lineStart.y, lineEnd.x, linePaint)
    }

    override fun onMeasure(widthMeasureSpec: Int, heightMeasureSpec: Int) {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec)
        setMeasuredDimension(80,80)
    }
    private class Vector2  constructor(var x: Float, var y: Float)
}